%define upstream_name    Pod-Plainer
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    To convert POD to old-style plainer POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Parser)
BuildArch:  noarch

%description
Pod::Plainer uses Pod::Parser which takes Pod with the (new) 'C<< .. >>'
constructs and returns the old(er) style with just 'C<>'; '<' and '>' are
replaced by 'E<lt>' and 'E<gt>'.

This can be used to pre-process Pod before using tools which do not
recognise the new style Pods.

METHODS
    * escape_ltgt

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-7.mga8
+ Revision: 1496715
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-6.mga7
+ Revision: 1270595
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-5.mga6
+ Revision: 1032321
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-4.mga6
+ Revision: 944962
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 742140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 686016
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 650397
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-5.mga4
+ Revision: 514198
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-4.mga3
+ Revision: 371965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 jquelin <jquelin> 1.30.0-3.mga1
+ Revision: 53652
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.30.0-2.mga1
+ Revision: 23367
- cleaning spec file
- imported package perl-Pod-Plainer

